Subject: Re: [PATCH v2] net: fec: Use a spinlock to guard `fep->ptp_clk_on`

From: Csókás Bence <[email-masked]>
Date: Sat, 10 Sep 2022 17:08:57 +0000

> On 05.09.2022 09:38:04, Marc Kleine-Budde wrote:
> > On 9/1/22 4:04 PM, Csókás Bence wrote:
> > > Mutexes cannot be taken in a non-preemptible context,
> > > causing a panic in `fec_ptp_save_state()`. Replacing
> > > `ptp_clk_mutex` by `tmreg_lock` fixes this.
> >
> >I was on holidays, but this doesn't look good.
> 
> Does anyone care to fix this? Csókás?

Yes, I will attempt to fix it. But, like you the week before, I am also out of office right now, so please be patient.

Bence